Snapshot:
  # Particle Type Gas
  Coordinates_Gas: DScale6  # (3D - 8 bytes / dim) Co-moving positions of the particles : a U_L  [ cm ]
  Velocities_Gas: DScale1  # (3D - 4 bytes / dim) Peculiar velocities of the stars. This is (a * dx/dt) where x is the co-moving positions of the particles : U_L U_t^-1  [ cm s^-1 ]
  Masses_Gas: on  # (1D - 4 bytes / dim) Masses of the particles : U_M  [ g ]
  SmoothingLengths_Gas: FMantissa9  # (1D - 4 bytes / dim) Co-moving smoothing lengths (FWHM of the kernel) of the particles : a U_L  [ cm ]
  InternalEnergies_Gas: FMantissa9  # (1D - 4 bytes / dim) Co-moving thermal energies per unit mass of the particles : a^-2 U_L^2 U_t^-2  [ cm^2 s^-2 ]
  ParticleIDs_Gas: Nbit40  # (1D - 8 bytes / dim) Unique IDs of the particles : [ - ] 
  Densities_Gas: FMantissa9  # (1D - 4 bytes / dim) Co-moving mass densities of the particles : a^-3 U_M U_L^-3  [ g cm^-3 ]
  Entropies_Gas: FMantissa9  # (1D - 4 bytes / dim) Co-moving entropies per unit mass of the particles : U_M^-0.6667 U_L^4 U_t^-2  [ g^-0.6667 cm^4 s^-2 ]
  Pressures_Gas: FMantissa9  # (1D - 4 bytes / dim) Co-moving pressures of the particles : a^-5 U_M U_L^-1 U_t^-2  [ g cm^-1 s^-2 ]
  ViscosityParameters_Gas: FMantissa9  # (1D - 4 bytes / dim) Visosity coefficient (alpha_visc) of the particles, multiplied by the balsara switch : [ - ] 
  DiffusionParameters_Gas: FMantissa9  # (1D - 4 bytes / dim) Diffusion coefficient (alpha_diff) of the particles : [ - ] 
  LaplacianInternalEnergies_Gas: FMantissa9  # (1D - 4 bytes / dim) Laplacian (del squared) of the Internal Energy per unit mass of the particles : a^-4 U_t^-2  [ s^-2 ]
  VelocityDivergences_Gas: FMantissa9  # (1D - 4 bytes / dim) Local velocity divergence field around the particles. Provided without cosmology, as this includes the Hubble flow. To retur... : U_t^-1  [ s^-1 ]
  VelocityDivergenceTimeDifferentials_Gas: FMantissa9  # (1D - 4 bytes / dim) Time differential (over the previous step) of the velocity divergence field around the particles. Again, provided without co... : U_t^-2  [ s^-2 ]
  Potentials_Gas: FMantissa9  # (1D - 4 bytes / dim) Co-moving gravitational potential at position of the particles : a^-1 U_L^2 U_t^-2  [ cm^2 s^-2 ]
  TimeBins_Gas: off  # (1D - 1 bytes / dim) Time-bins of the particles : [ - ] 
  Softenings_Gas: off  # (1D - 4 bytes / dim) Co-moving gravitational Plummer-equivalent softenings of the particles : a U_L  [ cm ]
  ProgenitorParticleIDs_Gas: Nbit40  # (1D - 8 bytes / dim) ID of the progenitor of this particle. If this particle is the result of one (or many) splitting events, this ID corresponds... : [ - ] 
  SplitCounts_Gas: on  # (1D - 1 bytes / dim) Number of times this particle has been split. Note that both particles that take part in the splitting have counter incremen... : [ - ] 
  SplitTrees_Gas: on  # (1D - 8 bytes / dim) Binary tree describing splitting events. Particles that keep the original ID have a value of zero in a splitting event, wher... : [ - ] 
  ElementMassFractions_Gas: FMantissa9  # (12D - 4 bytes / dim) Fractions of the particles' masses that are in the given element : [ - ] 
  ReducedElementMassFractions_Gas: off  # (2D - 4 bytes / dim) Fractions of the particles' masses that are in the given element : [ - ] 
  MetalMassFractions_Gas: FMantissa9  # (1D - 4 bytes / dim) Fractions of the particles' masses that are in metals (incorporating both depleted and nebular phases) : [ - ] 
  MassFractionsFromSNIa_Gas: FMantissa9  # (1D - 4 bytes / dim) Masses of gas that have been produced by SNIa stars : U_M  [ g ]
  MetalMassFractionsFromSNIa_Gas: FMantissa9  # (1D - 4 bytes / dim) Fractions of the particles' masses that are in metals produced by SNIa stars (incorporating both depleted and nebular phases) : [ - ] 
  MassFractionsFromAGB_Gas: FMantissa9  # (1D - 4 bytes / dim) Masses of gas that have been produced by AGN stars : U_M  [ g ]
  MetalMassFractionsFromAGB_Gas: FMantissa9  # (1D - 4 bytes / dim) Fractions of the particles' masses that are in metals produced by AGB stars (incorporating both depleted and nebular phases) : [ - ] 
  MassFractionsFromSNII_Gas: FMantissa9  # (1D - 4 bytes / dim) Masses of gas that have been produced by SNII stars : U_M  [ g ]
  MetalMassFractionsFromSNII_Gas: FMantissa9  # (1D - 4 bytes / dim) Fractions of the particles' masses that are in metals produced by SNII stars (incorporating both depleted and nebular phases) : [ - ] 
  IronMassFractionsFromSNIa_Gas: FMantissa9  # (1D - 4 bytes / dim) Fractions of the particles' masses that are in iron produced by SNIa stars (incorporating both depleted and nebular phases)F... : [ - ] 
  MetalDiffusionCoefficients_Gas: off  # (1D - 4 bytes / dim) Metal diffusion coefficients of the particles.Controls the metal diffusion rate, not to be confused with the energy diffusio... : U_M U_L^-1 U_t^-1  [ g cm^-1 s^-1 ]
  MetalDiffusionRates_Gas: off  # (12D - 4 bytes / dim) Metal diffusion rates for each element in physical co-ordinates : U_t^-1  [ s^-1 ]
  MeanMetalWeightedRedshifts_Gas: FMantissa9  # (1D - 4 bytes / dim) Mean time of enrichment events weighted by the metal mass imparted by each event. -1 if a particle has never been enriched. : U_t  [ s ]
  MeanIronWeightedRedshifts_Gas: FMantissa9  # (1D - 4 bytes / dim) Mean time of SNIa events weighted by the iron mass imparted by each event. -1 if a particle has never been enriched by SNIa. : U_t  [ s ]
  MassFractionsFromNSM_Gas: FMantissa9  # (1D - 4 bytes / dim) Mass of europium that have been produced by neutron star merger events : U_M  [ g ]
  MassFractionsFromCEJSN_Gas: FMantissa9  # (1D - 4 bytes / dim) Mass of europium that have been produced by common-envelop jets SN events : U_M  [ g ]
  MassFractionsFromCollapsar_Gas: FMantissa9  # (1D - 4 bytes / dim) Mass of europium that have been produced by collapsar events : U_M  [ g ]
  ElementMassFractionsDiffuse_Gas: FMantissa9  # (12D - 4 bytes / dim) Fractions of the particles' masses that are in the given element and in the diffuse (non-dust) phase : [ - ] 
  IronMassFractionsFromSNIaDiffuse_Gas: FMantissa9  # (1D - 4 bytes / dim) Fractions of the particles' masses that are in iron originating from SNIa, but not depleted into dust : [ - ] 
  DustMassFractions_Gas: FMantissa9  # (6D - 4 bytes / dim) Fractions of the particles' masses that are in a given species of dust grain : [ - ] 
  TotalDustMassFractions_Gas: FMantissa9  # (1D - 4 bytes / dim) Fractions of the particles' masses that are in dust (sum of all grains species) : [ - ] 
  SpeciesFractions_Gas: FMantissa9  # (10D - 4 bytes / dim) Species fractions array for all ions and molecules in the CHIMES network. The fraction of species i is defined in terms of i... : [ - ] 
  ReducedSpeciesFractions_Gas: off  # (4D - 4 bytes / dim) Species fractions array for a reduced set of ions and molecules in the CHIMES network. The fraction of species i is defined ... : [ - ] 
  Temperatures_Gas: FMantissa9  # (1D - 4 bytes / dim) Temperature of the particles : U_T  [ K ]
  SubgridTemperatures_Gas: off  # (1D - 4 bytes / dim) The subgrid temperatures if the particles are within deltaT of the entropy floor the subgrid temperature is calculated assum... : U_T  [ K ]
  SubgridPhysicalDensities_Gas: off  # (1D - 4 bytes / dim) The subgrid physical density if the particles are within deltaT of the entropy floor the subgrid density is calculated assum... : U_M U_L^-3  [ g cm^-3 ]
  AtomicHydrogenMasses_Gas: off  # (1D - 4 bytes / dim) Atomic hydrogen masses containted in the particles. This quantity is obtained from the cooling tables and, if the particle i... : U_M  [ g ]
  MolecularHydrogenMasses_Gas: off  # (1D - 4 bytes / dim) Molecular hydrogen masses containted in the particles. This quantity is obtained from the cooling tables and, if the particl... : U_M  [ g ]
  NetCoolingRates_Gas: off  # (1D - 4 bytes / dim) Net cooling rate of the particle, i.e. energy per unit mass per unit time. Positive values indicate net cooling, negative va... : U_L^2 U_t^-3  [ cm^2 s^-3 ]
  TotalElectronNumberDensities_Gas: DMantissa21  # (1D - 8 bytes / dim) Total electron number densities in the physical frame computed as the sum of the electron number densities from the elements... : U_L^-3  [ cm^-3 ]
  ComptonYParameters_Gas: DMantissa21  # (1D - 8 bytes / dim) Compton y parameters in the physical frame computed based on the cooling tables. This is 0 for star-forming particles. : U_L^2  [ cm^2 ]
  MaximalTemperatures_Gas: FMantissa9  # (1D - 4 bytes / dim) Maximal temperatures ever reached by the particles : U_T  [ K ]
  MaximalTemperatureScaleFactors_Gas: FMantissa13  # (1D - 4 bytes / dim) Times at which the maximal temperature was reached : U_t  [ s ]
  StellarWindMomentaReceived_Gas: off  # (1D - 4 bytes / dim) Momentum received from stellar winds in physical coordinates : U_M U_L U_t^-1  [ g cm s^-1 ]
  HIIregionsEndTime_Gas: off  # (1D - 4 bytes / dim) Time until particle is in HII region : U_t  [ s ]
  HIIregionsStarIDs_Gas: off  # (1D - 8 bytes / dim) ID of star particle responsible for this HII region : [ - ] 
  LastSNIIThermalFeedbackScaleFactors_Gas: FMantissa13  # (1D - 4 bytes / dim) Times at which the particles were last hit by SNII thermal feedback. -1 if a particle has never been hit by feedback : U_t  [ s ]
  LastSNIaThermalFeedbackScaleFactors_Gas: FMantissa13  # (1D - 4 bytes / dim) Times at which the particles were last hit by SNIa thermal feedback. -1 if a particle has never been hit by feedback : U_t  [ s ]
  LastKineticEarlyFeedbackScaleFactors_Gas: FMantissa13  # (1D - 4 bytes / dim) Times at which the particles were last hit by kinetic early feedback. -1 if a particle has never been hit by feedback : U_t  [ s ]
  LastAGNFeedbackScaleFactors_Gas: FMantissa13  # (1D - 4 bytes / dim) Times at which the particles were last hit by AGN feedback. -1 if a particle has never been hit by feedback : U_t  [ s ]
  DensitiesAtLastSupernovaEvent_Gas: FMantissa9  # (1D - 4 bytes / dim) Physical density (not subgrid) of the gas at the last SNII thermal feedback event that hit the particles. -1 if the particle... : U_M U_L^-3  [ g cm^-3 ]
  EnergiesReceivedFromAGNFeedback_Gas: FMantissa9  # (1D - 4 bytes / dim) Total amount of thermal energy from AGN feedback events received by the particles. : U_M U_L^2 U_t^-2  [ g cm^2 s^-2 ]
  LastEnergiesReceivedFromAGNFeedback_Gas: FMantissa9  # (1D - 4 bytes / dim) The energy the particles received the last time they were heated by AGN feedback. : U_M U_L^2 U_t^-2  [ g cm^2 s^-2 ]
  LastSNIIKineticFeedbackScaleFactors_Gas: FMantissa13  # (1D - 4 bytes / dim) Times at which the particles were last hit by SNII kinetic feedback. -1 if a particle has never been hit by feedback : U_t  [ s ]
  LastSNIIKineticFeedbackvkick_Gas: FMantissa9  # (1D - 4 bytes / dim) Physical kick velocity the particles were kicked with at last SNII kinetic feedback event. -1 if a particle has never been h... : U_L U_t^-1  [ cm s^-1 ]
  MaximalSNIIKineticFeedbackvkick_Gas: FMantissa9  # (1D - 4 bytes / dim) Maximal physical kick velocity the particles were kicked with in SNII kinetic feedback. -1 if a particle has never been hit ... : U_L U_t^-1  [ cm s^-1 ]
  DensitiesAtLastAGNEvent_Gas: FMantissa9  # (1D - 4 bytes / dim) Physical density (not subgrid) of the gas at the last AGN feedback event that hit the particles. -1 if the particles have ne... : U_M U_L^-3  [ g cm^-3 ]
  LastISMScaleFactors_Gas: FMantissa13  # (1D - 4 bytes / dim) Time at which the particle was part of the ISM for the last time, i.e. its density was larger than 100 times the mean densit... : U_t  [ s ]
  AveragedStarFormationRates_Gas: FMantissa9  # (2D - 4 bytes / dim) Star formation rates of the particles averaged over the period set by the first two snapshot triggers : U_M U_t^-1  [ g s^-1 ]
  MinimalSmoothingLengths_Gas: FMantissa9  # (1D - 4 bytes / dim) Maximal temperatures ever reached by the particles : a U_L  [ cm ]
  MinimalSmoothingLengthScaleFactors_Gas: FMantissa13  # (1D - 4 bytes / dim) Times at which the minimal smoothing length was reached : U_t  [ s ]
  LastFOFHaloMasses_Gas: FMantissa9  # (1D - 4 bytes / dim) Masses of the last FOF haloes the particles where part of. -1 if the particle has never been in a FOF group : U_M  [ g ]
  LastFOFHaloMassesScaleFactors_Gas: FMantissa13  # (1D - 4 bytes / dim) Times at which the particles were last in a FOF group : U_t  [ s ]
  StarFormationRates_Gas: FMantissa9  # (1D - 4 bytes / dim) Star formation rates of the particles. : U_M U_t^-1  [ g s^-1 ]
  LastStarFormationScaleFactors_Gas: FMantissa13  # (1D - 4 bytes / dim) Times at which the stars last had a non-zero star formation rate. : U_t  [ s ]
  VelocityDispersions_Gas: FMantissa9  # (1D - 4 bytes / dim) Physical velocity dispersions (3D) squared, this is the velocity dispersion of the total velocity (peculiar velocity + Hubbl... : U_L^2 U_t^-2  [ cm^2 s^-2 ]
  XrayPhotonLuminosities_Gas: DMantissa21  # (3D - 8 bytes / dim) Intrinsic X-ray photon luminosities in various bands. This is 0 for star-forming particles. : U_t^-1  [ s^-1 ]
  XrayLuminosities_Gas: DMantissa21  # (3D - 8 bytes / dim) Intrinsic X-ray luminosities in various bands. This is 0 for star-forming particles. : U_M U_L^2 U_t^-3  [ g cm^2 s^-3 ]
  FOFGroupIDs_Gas: Nbit40 # (1D - 8 bytes / dim) FOF ID : [ - ]
  InternalEnergyViscousTimeDifferentials_Gas: off

  # Particle Type DM
  Coordinates_DM: DScale6  # (3D - 8 bytes / dim) Co-moving position of the particles : a U_L  [ cm ]
  Velocities_DM: DScale1  # (3D - 4 bytes / dim) Peculiar velocities of the particles. This is a * dx/dt where x is the co-moving position of the particles. : U_L U_t^-1  [ cm s^-1 ]
  Masses_DM: on  # (1D - 4 bytes / dim) Masses of the particles : U_M  [ g ]
  ParticleIDs_DM: Nbit40  # (1D - 8 bytes / dim) Unique ID of the particles : [ - ] 
  Softenings_DM: off  # (1D - 4 bytes / dim) Co-moving Plummer-equivalent softening lengths of the particles. : a U_L  [ cm ]
  Potentials_DM: FMantissa9  # (1D - 4 bytes / dim) Gravitational potentials of the particles : a^-1 U_L^2 U_t^-2  [ cm^2 s^-2 ]
  TimeBins_DM: off  # (1D - 1 bytes / dim) Time-bins of the particles : [ - ] 
  FOFGroupIDs_DM: Nbit40 # (1D - 8 bytes / dim) FOF ID : [ - ]

  # Particle Type Stars
  Coordinates_Stars: DScale6  # (3D - 8 bytes / dim) Co-moving position of the particles : a U_L  [ cm ]
  Velocities_Stars: DScale1  # (3D - 4 bytes / dim) Peculiar velocities of the particles. This is a * dx/dt where x is the co-moving position of the particles. : U_L U_t^-1  [ cm s^-1 ]
  Masses_Stars: on  # (1D - 4 bytes / dim) Masses of the particles at the current point in time (i.e. after stellar losses) : U_M  [ g ]
  ParticleIDs_Stars: Nbit40  # (1D - 8 bytes / dim) Unique ID of the particles : [ - ] 
  SmoothingLengths_Stars: FMantissa9  # (1D - 4 bytes / dim) Co-moving smoothing lengths (FWHM of the kernel) of the particles : a U_L  [ cm ]
  InitialMasses_Stars: FMantissa9  # (1D - 4 bytes / dim) Masses of the star particles at birth time : U_M  [ g ]
  BirthScaleFactors_Stars: FMantissa13  # (1D - 4 bytes / dim) Times at which the stars were born : U_t  [ s ]
  SNIIFeedbackEnergyFractions_Stars: FMantissa9  # (1D - 4 bytes / dim) Fractions of the canonical feedback energy that was used for the stars' SNII feedback events : [ - ] 
  BirthDensities_Stars: FMantissa9  # (1D - 4 bytes / dim) Physical densities at the time of birth of the gas particles that turned into stars (note that we store the physical density... : U_M U_L^-3  [ g cm^-3 ]
  BirthTemperatures_Stars: FMantissa9  # (1D - 4 bytes / dim) Temperatures at the time of birth of the gas particles that turned into stars : U_T  [ K ]
  HIIregions_last_rebuild_Stars: off  # (1D - 4 bytes / dim) Age of star in Myr when HII region was last rebuilt : [ - ] 
  HIIregions_mass_to_ionize_Stars: off  # (1D - 4 bytes / dim) Masses of the HII regions at the current point in time : U_M  [ g ]
  Timestep_Stars: off  # (1D - 4 bytes / dim) Current timestep of the star particle : U_t  [ s ]
  HIIregions_mass_in_kernel_Stars: off  # (1D - 4 bytes / dim) Masses in kernels at time of HII region formation : U_M  [ g ]
  TimeBins_Stars: off  # (1D - 1 bytes / dim) Time-bins of the particles : [ - ] 
  Luminosities_Stars: FMantissa9  # (9D - 4 bytes / dim) Rest-frame dust-free AB-luminosities of the star particles in the GAMA bands. These were computed using the BC03 (GALAXEV) m... : [ - ] 
  TidalTensors_Stars: off  # (6D - 4 bytes / dim) Components of co-moving the tidal tensor (Hessian matrix of the gravitational potential). Since the matrix is symmetric, onl... : a^-3 U_t^-2  [ s^-2 ]
  Potentials_Stars: FMantissa9  # (1D - 4 bytes / dim) Gravitational potentials of the particles : a^-1 U_L^2 U_t^-2  [ cm^2 s^-2 ]
  SNIaRates_Stars: DMantissa21  # (1D - 8 bytes / dim) SNIa rate averaged over the last enrichment timestep : U_t^-1  [ s^-1 ]
  Ages_Stars: FMantissa9  # (1D - 4 bytes / dim) Ages of the stars. : a^-1 U_t  [ s ]
  ProgenitorParticleIDs_Stars: Nbit40  # (1D - 8 bytes / dim) Progenitor ID of the gas particle that became this star. If this particle is the result of one (or many) splitting events, t... : [ - ] 
  SplitCounts_Stars: on  # (1D - 1 bytes / dim) Number of times the gas particle that turned into this star particle was split. Note that both particles that take part in t... : [ - ] 
  SplitTrees_Stars: on  # (1D - 8 bytes / dim) Binary tree describing splitting events. Particles that keep the original ID have a value of zero in a splitting event, wher... : [ - ] 
  ElementMassFractions_Stars: FMantissa9  # (12D - 4 bytes / dim) Fractions of the particles' masses that are in the given element : [ - ] 
  MetalMassFractions_Stars: FMantissa9  # (1D - 4 bytes / dim) Fractions of the particles' masses that are in metals : [ - ] 
  MassFractionsFromSNIa_Stars: FMantissa9  # (1D - 4 bytes / dim) Masses of gas that have been produced by SNIa stars : U_M  [ g ]
  MetalMassFractionsFromSNIa_Stars: FMantissa9  # (1D - 4 bytes / dim) Fractions of the particles' masses that are in metals produced by SNIa stars : [ - ] 
  MassFractionsFromAGB_Stars: FMantissa9  # (1D - 4 bytes / dim) Masses of gas that have been produced by AGN stars : U_M  [ g ]
  MetalMassFractionsFromAGB_Stars: FMantissa9  # (1D - 4 bytes / dim) Fractions of the particles' masses that are in metals produced by AGB stars : [ - ] 
  MassFractionsFromSNII_Stars: FMantissa9  # (1D - 4 bytes / dim) Masses of gas that have been produced by SNII stars : U_M  [ g ]
  MetalMassFractionsFromSNII_Stars: FMantissa9  # (1D - 4 bytes / dim) Fractions of the particles' masses that are in metals produced by SNII stars : [ - ] 
  IronMassFractionsFromSNIa_Stars: FMantissa9  # (1D - 4 bytes / dim) Fractions of the particles' masses that are in iron produced by SNIa stars : [ - ] 
  MassFractionsFromNSM_Stars: FMantissa9  # (1D - 4 bytes / dim) Masses of gas that have been produced by neutron star merger events : U_M  [ g ]
  MassFractionsFromCEJSN_Stars: FMantissa9  # (1D - 4 bytes / dim) Masses of gas that have been produced by common-envelop jets SN events : U_M  [ g ]
  MassFractionsFromCollapsar_Stars: FMantissa9  # (1D - 4 bytes / dim) Masses of gas that have been produced by collapsar events : U_M  [ g ]
  MaximalTemperatures_Stars: FMantissa9  # (1D - 4 bytes / dim) Maximal temperatures ever reached by the particles before they got converted to stars : U_T  [ K ]
  MaximalTemperatureScaleFactors_Stars: FMantissa13  # (1D - 4 bytes / dim) Times at which the maximal temperature was reached : U_t  [ s ]
  StellarWindMomentaReceived_Stars: off  # (1D - 4 bytes / dim) Momentum received by the gas particles from stellar winds before it was converted to a star in physical coordinates : U_M U_L U_t^-1  [ g cm s^-1 ]
  LastSNIIThermalFeedbackScaleFactors_Stars: FMantissa13  # (1D - 4 bytes / dim) Times at which the particles were last hit by SNII thermal feedback when they were still gas particles. -1 if a particle has... : U_t  [ s ]
  LastSNIaThermalFeedbackScaleFactors_Stars: FMantissa13 # (1D - 4 bytes / dim) Times at which the particles were last hit by SNIa thermal feedback when they were still gas particles. -1 if a particle has... : U_t  [ s ]
  LastKineticEarlyFeedbackScaleFactors_Stars: FMantissa13  # (1D - 4 bytes / dim) Times at which the particles were last hit by kinetic early feedback when they were still gas particles. -1 if a particle ha... : U_t  [ s ]
  LastAGNFeedbackScaleFactors_Stars: FMantissa13  # (1D - 4 bytes / dim) Times at which the particles were last hit by AGN feedback when they were still gas particles. -1 if a particle has never be... : U_t  [ s ]
  DensitiesAtLastSupernovaEvent_Stars: off  # (1D - 4 bytes / dim) Physical density (not subgrid) of the gas at the last SNII thermal feedback event that hit the particles when they were stil... : U_M U_L^-3  [ g cm^-3 ]
  EnergiesReceivedFromAGNFeedback_Stars: FMantissa9  # (1D - 4 bytes / dim) Total amount of thermal energy from AGN feedback events received by the particles when the particles were still gas particle... : U_M U_L^2 U_t^-2  [ g cm^2 s^-2 ]
  LastEnergiesReceivedFromAGNFeedback_Stars: off  # (1D - 4 bytes / dim) The energy the particles received the last time they were heated by AGN feedback while they were still gas particles. : U_M U_L^2 U_t^-2  [ g cm^2 s^-2 ]
  LastSNIIKineticFeedbackScaleFactors_Stars: FMantissa13  # (1D - 4 bytes / dim) Times at which the particles were last hit by SNII kinetic feedback when they were still gas particles. -1 if a particle has... : U_t  [ s ]
  LastSNIIKineticFeedbackvkick_Stars: off  # (1D - 4 bytes / dim) Physical kick velocity at last SNII kinetic feedback event when the stellar particles were kicked with when they were still ... : U_L U_t^-1  [ cm s^-1 ]
  MaximalSNIIKineticFeedbackvkick_Stars: FMantissa9  # (1D - 4 bytes / dim) Maximal physical kick velocity in SNII kinetic feedback when the stellar particles were kicked with when they were still gas... : U_L U_t^-1  [ cm s^-1 ]
  DensitiesAtLastAGNEvent_Stars: off  # (1D - 4 bytes / dim) Physical density (not subgrid) of the gas at the last AGN feedback event that hit the particles when they were still gas par... : U_M U_L^-3  [ g cm^-3 ]
  AveragedStarFormationRates_Stars: FMantissa9  # (2D - 4 bytes / dim) Star formation rates of the particles averaged over the period set by the first two snapshot triggers when the particle was ... : U_M U_t^-1  [ g s^-1 ]
  LastFOFHaloMasses_Stars: FMantissa9  # (1D - 4 bytes / dim) Masses of the last FOF haloes the particles where part of when they were still a gas particle. -1 if the particle has never ... : U_M  [ g ]
  LastFOFHaloMassesScaleFactors_Stars: FMantissa13  # (1D - 4 bytes / dim) Times at which the particles were last in a FOF group when they were still a gas particle : U_t  [ s ]
  SubgridBirthDensities_Stars: off  # (1D - 4 bytes / dim) Physical subgrid densities at the time of birth of the gas particles that turned into stars (note that we store the physical... : U_M U_L^-3  [ g cm^-3 ]
  SubgridBirthTemperatures_Stars: off  # (1D - 4 bytes / dim) Subgrid temperatures at the time of birth of the gas particles that turned into stars : U_T  [ K ]
  BirthVelocityDispersions_Stars: FMantissa9  # (1D - 4 bytes / dim) Physical velocity dispersions (3D) squared at the birth time of the gas particles that turned into stars, this is the veloci... : U_L^2 U_t^-2  [ cm^2 s^-2 ]
  FOFGroupIDs_Stars: Nbit40 # (1D - 8 bytes / dim) FOF ID : [ - ]

  # Particle Type BH
  Coordinates_BH: DScale6  # (3D - 8 bytes / dim) Co-moving position of the particles : a U_L  [ cm ]
  Velocities_BH: DScale1  # (3D - 4 bytes / dim) Peculiar velocities of the particles. This is a * dx/dt where x is the co-moving position of the particles. : U_L U_t^-1  [ cm s^-1 ]
  DynamicalMasses_BH: on  # (1D - 4 bytes / dim) Dynamical masses of the particles : U_M  [ g ]
  ParticleIDs_BH: Nbit40  # (1D - 8 bytes / dim) Unique ID of the particles : [ - ] 
  SmoothingLengths_BH: FMantissa9  # (1D - 4 bytes / dim) Co-moving smoothing lengths (FWHM of the kernel) of the particles : a U_L  [ cm ]
  SubgridMasses_BH: FMantissa9  # (1D - 4 bytes / dim) Subgrid masses of the particles : U_M  [ g ]
  FormationScaleFactors_BH: FMantissa13  # (1D - 4 bytes / dim) Times at which the BHs were formed : U_t  [ s ]
  GasDensities_BH: FMantissa9  # (1D - 4 bytes / dim) Co-moving densities of the gas around the particles : U_M U_L^-3  [ g cm^-3 ]
  GasSoundSpeeds_BH: FMantissa9  # (1D - 4 bytes / dim) Co-moving sound-speeds of the gas around the particles : a^-1 U_L U_t^-1  [ cm s^-1 ]
  EnergyReservoirs_BH: FMantissa9  # (1D - 4 bytes / dim) Physcial energy contained in the feedback reservoir of the particles : U_M U_L^2 U_t^-2  [ g cm^2 s^-2 ]
  AccretionRates_BH: FMantissa9  # (1D - 4 bytes / dim) Physical instantaneous accretion rates of the particles : U_M U_t^-1  [ g s^-1 ]
  TotalAccretedMasses_BH: FMantissa9  # (1D - 4 bytes / dim) Total mass accreted onto the main progenitor of the black holes since birth. This does not include any mass accreted onto an... : U_M  [ g ]
  CumulativeNumberOfSeeds_BH: on  # (1D - 4 bytes / dim) Total number of BH seeds that have merged into this black hole : [ - ] 
  NumberOfMergers_BH: on  # (1D - 4 bytes / dim) Number of mergers the black holes went through. This does not include the number of mergers accumulated by any merged black ... : [ - ] 
  LastHighEddingtonFractionScaleFactors_BH: FMantissa13  # (1D - 4 bytes / dim) Times at which the black holes last reached a large Eddington ratio. -1 if never reached. : U_t  [ s ]
  LastMinorMergerScaleFactors_BH: FMantissa13  # (1D - 4 bytes / dim) Times at which the black holes last had a minor merger. : U_t  [ s ]
  LastMajorMergerScaleFactors_BH: FMantissa13  # (1D - 4 bytes / dim) Times at which the black holes last had a major merger. : U_t  [ s ]
  SwallowedAngularMomenta_BH: FMantissa9  # (3D - 4 bytes / dim) Physical angular momenta that the black holes have accumulated by swallowing gas particles. : U_M U_L^2 U_t^-1  [ g cm^2 s^-1 ]
  GasRelativeVelocities_BH: FMantissa9  # (3D - 4 bytes / dim) Peculiar relative velocities of the gas particles around the black holes. This is a * dx/dt where x is the co-moving positio... : U_L U_t^-1  [ cm s^-1 ]
  GasCircularVelocities_BH: FMantissa9  # (3D - 4 bytes / dim) Circular velocities of the gas around the black hole at the smoothing radius. This is j / h_BH, where j is the smoothed, pec... : U_L U_t^-1  [ cm s^-1 ]
  TimeBins_BH: off  # (1D - 1 bytes / dim) Time-bins of the particles : [ - ] 
  NumberOfSwallows_BH: off  # (1D - 4 bytes / dim) Number of gas particles the black holes have swallowed. This includes the particles swallowed by any of the black holes that... : [ - ] 
  NumberOfDirectSwallows_BH: off  # (1D - 4 bytes / dim) Number of gas particles the black holes have swallowed. This does not include any particles swallowed by any of the black ho... : [ - ] 
  NumberOfRepositions_BH: on  # (1D - 4 bytes / dim) Number of repositioning events the black holes went through. This does not include the number of reposition events accumulat... : [ - ] 
  NumberOfRepositionAttempts_BH: off  # (1D - 4 bytes / dim) Number of time steps in which the black holes had an eligible particle to reposition to. They may or may not have ended up m... : [ - ] 
  NumberOfTimeSteps_BH: on  # (1D - 4 bytes / dim) Total number of time steps at which the black holes were active. : [ - ] 
  ViscosityFactors_BH: off  # (1D - 4 bytes / dim) Multiplicative factors by which the Bondi-Hoyle-Lyttleton accretion rates have been suppressed by the Rosas-Guevara et al. (... : [ - ] 
  GasVelocityDispersions_BH: FMantissa9  # (1D - 4 bytes / dim) Velocity dispersion (3D) of the gas particles around the black holes. This is a * sqrt(<|dx/dt|^2> - <|dx/dt|>^2) where x is... : U_L U_t^-1  [ cm s^-1 ]
  GasCurlVelocities_BH: FMantissa9  # (3D - 4 bytes / dim) Velocity curl (3D) of the gas particles around the black holes. : U_L U_t^-1  [ cm s^-1 ]
  AccretedAngularMomenta_BH: FMantissa9  # (3D - 4 bytes / dim) Physical angular momenta that the black holes have accumulated through subgrid accretion. : U_M U_L^2 U_t^-1  [ g cm^2 s^-1 ]
  NumberOfGasNeighbours_BH: on  # (1D - 4 bytes / dim) Integer number of gas neighbour particles within the black hole kernels. : [ - ] 
  NumberOfHeatingEvents_BH: on  # (1D - 4 bytes / dim) Integer number of (thermal) energy injections the black hole has had so far. This counts each heated gas particle separately... : [ - ] 
  NumberOfAGNEvents_BH: on  # (1D - 4 bytes / dim) Integer number of AGN events the black hole has had so far (the number of time steps in which the BH did AGN feedback). : [ - ] 
  LastAGNFeedbackScaleFactors_BH: FMantissa13  # (1D - 4 bytes / dim) Times at which the black holes last had an AGN event. : U_t  [ s ]
  AccretionLimitedTimeSteps_BH: on  # (1D - 4 bytes / dim) Accretion-limited time steps of black holes. The actual time step of the particles may differ due to the minimum allowed val... : U_t  [ s ]
  AGNTotalInjectedEnergies_BH: FMantissa9  # (1D - 4 bytes / dim) Total (cumulative) physical energies injected into gas particles in AGN feedback. : U_M U_L^2 U_t^-2  [ g cm^2 s^-2 ]
  Potentials_BH: FMantissa9  # (1D - 4 bytes / dim) Gravitational potentials of the particles : a^-1 U_L^2 U_t^-2  [ cm^2 s^-2 ]
  LastRepositionVelocities_BH: FMantissa9  # (1D - 4 bytes / dim) Physical speeds at which the black holes repositioned most recently. This is 0 for black holes that have never repositioned,... : U_L U_t^-1  [ cm s^-1 ]
  AccretionBoostFactors_BH: FMantissa9  # (1D - 4 bytes / dim) Multiplicative factors by which the Bondi-Hoyle-Lyttleton accretion rates have been increased by the density-dependent Booth... : [ - ] 
  GasTemperatures_BH: FMantissa9  # (1D - 4 bytes / dim) Temperature of the gas surrounding the black holes. : U_T  [ K ]
  EddingtonFractions_BH: FMantissa9  # (1D - 4 bytes / dim) Accretion rates of black holes in units of their Eddington rates. This is based on the unlimited accretion rates, so these f... : [ - ] 
  GWMassLosses_BH: FMantissa9  # (1D - 4 bytes / dim) Cumulative masses lost to GW via BH-BH mergers over the history of the black holes. This includes the mass loss from all the... : U_M  [ g ]
  ProgenitorParticleIDs_BH: Nbit40  # (1D - 8 bytes / dim) Progenitor ID of the gas particle that became the seed BH. If this particle is the result of one (or many) splitting events,... : [ - ] 
  SplitCounts_BH: on  # (1D - 1 bytes / dim) Number of times the gas particle that became this BH seed was split. Note that both particles that take part in the splittin... : [ - ] 
  SplitTrees_BH: on  # (1D - 8 bytes / dim) Binary tree describing splitting events prior to BH seeding. Particles that keep the original ID have a value of zero in a s... : [ - ] 
  ElementMasses_BH: FMantissa9  # (12D - 4 bytes / dim) Mass contents of the BH particles in a given element : U_M  [ g ]
  MetalMasses_BH: FMantissa9  # (12D - 4 bytes / dim) Mass contents of the BH particles in a metals : U_M  [ g ]
  MassesFromSNIa_BH: FMantissa9  # (1D - 4 bytes / dim) Masses of the BH particles that have been produced by SNIa stars : U_M  [ g ]
  MassesFromSNII_BH: FMantissa9  # (1D - 4 bytes / dim) Masses of the BH particles that have been produced by SNII stars : U_M  [ g ]
  MassesFromAGB_BH: FMantissa9  # (1D - 4 bytes / dim) Masses of the BH particles that have been produced by AGB stars : U_M  [ g ]
  MetalMassesFromSNIa_BH: FMantissa9  # (1D - 4 bytes / dim) Masses of the BH particles in metals that have been produced by SNIa stars : U_M  [ g ]
  MetalMassesFromSNII_BH: FMantissa9  # (1D - 4 bytes / dim) Masses of the BH particles in metals that have been produced by SNII stars : U_M  [ g ]
  MetalMassesFromAGB_BH: FMantissa9  # (1D - 4 bytes / dim) Masses of the BH particles in metals that have been produced by AGB stars : U_M  [ g ]
  IronMassesFromSNIa_BH: FMantissa9  # (1D - 4 bytes / dim) Masses of the BH particles in iron that have been produced by SNIa stars : U_M  [ g ]
  MassesFromNSM_BH: FMantissa9  # (1D - 4 bytes / dim) Masses of the BH particles in europium that have been produced by neutron star merger events : U_M  [ g ]
  MassesFromCEJSN_BH: FMantissa9  # (1D - 4 bytes / dim) Masses of the BH particles in europium that have been produced by common-envelop jets SN events : U_M  [ g ]
  MassesFromCollapsar_BH: FMantissa9  # (1D - 4 bytes / dim) Masses of the BH particles in europium that have been produced by collapsar events : U_M  [ g ]
  ElementMassesDiffuse_BH: FMantissa9  # (12D - 4 bytes / dim) Masses of the BH that are in the given element and were in the gas phase when accreted : U_M  [ g ]
  IronMassesFromSNIaDiffuse_BH: FMantissa9  # (1D - 4 bytes / dim) Masses of the BH particles in iron that have been produced by SNIa stars and were in the gas phase when accreted : U_M  [ g ]
  AveragedAccretionRates_BH: FMantissa9  # (2D - 4 bytes / dim) Accretion rates of the black holes averaged over the period set by the first two snapshot triggers : U_M U_t^-1  [ g s^-1 ]
  MinimalTimeBins_BH: on  # (1D - 1 bytes / dim) Minimal Time Bins reached by the black holes : [ - ] 
  MinimalTimeBinScaleFactors_BH: FMantissa13  # (1D - 4 bytes / dim) Times at which the minimal time-bin was reached : U_t  [ s ]
  DustMasses_BH: FMantissa9  # (6D - 4 bytes / dim) Mass contents of the BH particles in a given dust grain species : U_M  [ g ]
  FOFGroupIDs_BH: Nbit40 # (1D - 8 bytes / dim) FOF ID : [ - ]

Snipshot:
  # Particle Type Gas
  Coordinates_Gas: DScale6  # (3D - 8 bytes / dim) Co-moving positions of the particles : a U_L  [ cm ]
  Velocities_Gas: DScale1  # (3D - 4 bytes / dim) Peculiar velocities of the stars. This is (a * dx/dt) where x is the co-moving positions of the particles : U_L U_t^-1  [ cm s^-1 ]
  Masses_Gas: on  # (1D - 4 bytes / dim) Masses of the particles : U_M  [ g ]
  SmoothingLengths_Gas: FMantissa9  # (1D - 4 bytes / dim) Co-moving smoothing lengths (FWHM of the kernel) of the particles : a U_L  [ cm ]
  InternalEnergies_Gas: FMantissa9  # (1D - 4 bytes / dim) Co-moving thermal energies per unit mass of the particles : a^-2 U_L^2 U_t^-2  [ cm^2 s^-2 ]
  ParticleIDs_Gas: Nbit40  # (1D - 8 bytes / dim) Unique IDs of the particles : [ - ] 
  Densities_Gas: FMantissa9  # (1D - 4 bytes / dim) Co-moving mass densities of the particles : a^-3 U_M U_L^-3  [ g cm^-3 ]
  Entropies_Gas: off  # (1D - 4 bytes / dim) Co-moving entropies per unit mass of the particles : U_M^-0.6667 U_L^4 U_t^-2  [ g^-0.6667 cm^4 s^-2 ]
  Pressures_Gas: FMantissa9  # (1D - 4 bytes / dim) Co-moving pressures of the particles : a^-5 U_M U_L^-1 U_t^-2  [ g cm^-1 s^-2 ]
  ViscosityParameters_Gas: off  # (1D - 4 bytes / dim) Visosity coefficient (alpha_visc) of the particles, multiplied by the balsara switch : [ - ] 
  DiffusionParameters_Gas: off  # (1D - 4 bytes / dim) Diffusion coefficient (alpha_diff) of the particles : [ - ] 
  LaplacianInternalEnergies_Gas: off  # (1D - 4 bytes / dim) Laplacian (del squared) of the Internal Energy per unit mass of the particles : a^-4 U_t^-2  [ s^-2 ]
  VelocityDivergences_Gas: off  # (1D - 4 bytes / dim) Local velocity divergence field around the particles. Provided without cosmology, as this includes the Hubble flow. To retur... : U_t^-1  [ s^-1 ]
  VelocityDivergenceTimeDifferentials_Gas: off  # (1D - 4 bytes / dim) Time differential (over the previous step) of the velocity divergence field around the particles. Again, provided without co... : U_t^-2  [ s^-2 ]
  Potentials_Gas: off  # (1D - 4 bytes / dim) Co-moving gravitational potential at position of the particles : a^-1 U_L^2 U_t^-2  [ cm^2 s^-2 ]
  TimeBins_Gas: off  # (1D - 1 bytes / dim) Time-bins of the particles : [ - ] 
  Softenings_Gas: off  # (1D - 4 bytes / dim) Co-moving gravitational Plummer-equivalent softenings of the particles : a U_L  [ cm ]
  ProgenitorParticleIDs_Gas: Nbit40  # (1D - 8 bytes / dim) ID of the progenitor of this particle. If this particle is the result of one (or many) splitting events, this ID corresponds... : [ - ] 
  SplitCounts_Gas: on  # (1D - 1 bytes / dim) Number of times this particle has been split. Note that both particles that take part in the splitting have counter incremen... : [ - ] 
  SplitTrees_Gas: on  # (1D - 8 bytes / dim) Binary tree describing splitting events. Particles that keep the original ID have a value of zero in a splitting event, wher... : [ - ] 
  ElementMassFractions_Gas: off  # (12D - 4 bytes / dim) Fractions of the particles' masses that are in the given element : [ - ] 
  ReducedElementMassFractions_Gas: FMantissa9  # (2D - 4 bytes / dim) Fractions of the particles' masses that are in the given element : [ - ] 
  MetalMassFractions_Gas: FMantissa9  # (1D - 4 bytes / dim) Fractions of the particles' masses that are in metals (incorporating both depleted and nebular phases) : [ - ] 
  MassesFromSNIa_Gas: off  # (1D - 4 bytes / dim) Masses of gas that have been produced by SNIa stars : U_M  [ g ]
  MetalMassFractionsFromSNIa_Gas: off  # (1D - 4 bytes / dim) Fractions of the particles' masses that are in metals produced by SNIa stars (incorporating both depleted and nebular phases) : [ - ] 
  MassesFromAGB_Gas: off  # (1D - 4 bytes / dim) Masses of gas that have been produced by AGN stars : U_M  [ g ]
  MetalMassFractionsFromAGB_Gas: off  # (1D - 4 bytes / dim) Fractions of the particles' masses that are in metals produced by AGB stars (incorporating both depleted and nebular phases) : [ - ] 
  MassesFromSNII_Gas: off  # (1D - 4 bytes / dim) Masses of gas that have been produced by SNII stars : U_M  [ g ]
  MetalMassFractionsFromSNII_Gas: off  # (1D - 4 bytes / dim) Fractions of the particles' masses that are in metals produced by SNII stars (incorporating both depleted and nebular phases) : [ - ] 
  IronMassFractionsFromSNIa_Gas: off  # (1D - 4 bytes / dim) Fractions of the particles' masses that are in iron produced by SNIa stars (incorporating both depleted and nebular phases)F... : [ - ] 
  MetalDiffusionCoefficients_Gas: off  # (1D - 4 bytes / dim) Metal diffusion coefficients of the particles.Controls the metal diffusion rate, not to be confused with the energy diffusio... : U_M U_L^-1 U_t^-1  [ g cm^-1 s^-1 ]
  MetalDiffusionRates_Gas: off  # (12D - 4 bytes / dim) Metal diffusion rates for each element in physical co-ordinates : U_t^-1  [ s^-1 ]
  MeanMetalWeightedRedshifts_Gas: off  # (1D - 4 bytes / dim) Mean time of enrichment events weighted by the metal mass imparted by each event. -1 if a particle has never been enriched. : U_t  [ s ]
  MeanIronWeightedRedshifts_Gas: off  # (1D - 4 bytes / dim) Mean time of SNIa events weighted by the iron mass imparted by each event. -1 if a particle has never been enriched by SNIa. : U_t  [ s ]
  MassesFromNSM_Gas: off  # (1D - 4 bytes / dim) Mass of europium that have been produced by neutron star merger events : U_M  [ g ]
  MassesFromCEJSN_Gas: off  # (1D - 4 bytes / dim) Mass of europium that have been produced by common-envelop jets SN events : U_M  [ g ]
  MassesFromCollapsar_Gas: off  # (1D - 4 bytes / dim) Mass of europium that have been produced by collapsar events : U_M  [ g ]
  ElementMassFractionsDiffuse_Gas: off  # (12D - 4 bytes / dim) Fractions of the particles' masses that are in the given element and in the diffuse (non-dust) phase : [ - ] 
  IronMassFractionsFromSNIaDiffuse_Gas: off  # (1D - 4 bytes / dim) Fractions of the particles' masses that are in iron originating from SNIa, but not depleted into dust : [ - ] 
  DustMassFractions_Gas: off  # (6D - 4 bytes / dim) Fractions of the particles' masses that are in a given species of dust grain : [ - ] 
  TotalDustMassFractions_Gas: FMantissa9  # (1D - 4 bytes / dim) Fractions of the particles' masses that are in dust (sum of all grains species) : [ - ] 
  SpeciesFractions_Gas: off  # (10D - 4 bytes / dim) Species fractions array for all ions and molecules in the CHIMES network. The fraction of species i is defined in terms of i... : [ - ] 
  ReducedSpeciesFractions_Gas: FMantissa9  # (4D - 4 bytes / dim) Species fractions array for a reduced set of ions and molecules in the CHIMES network. The fraction of species i is defined ... : [ - ] 
  Temperatures_Gas: FMantissa9  # (1D - 4 bytes / dim) Temperature of the particles : U_T  [ K ]
  SubgridTemperatures_Gas: off  # (1D - 4 bytes / dim) The subgrid temperatures if the particles are within deltaT of the entropy floor the subgrid temperature is calculated assum... : U_T  [ K ]
  SubgridPhysicalDensities_Gas: off  # (1D - 4 bytes / dim) The subgrid physical density if the particles are within deltaT of the entropy floor the subgrid density is calculated assum... : U_M U_L^-3  [ g cm^-3 ]
  AtomicHydrogenMasses_Gas: off  # (1D - 4 bytes / dim) Atomic hydrogen masses containted in the particles. This quantity is obtained from the cooling tables and, if the particle i... : U_M  [ g ]
  MolecularHydrogenMasses_Gas: off  # (1D - 4 bytes / dim) Molecular hydrogen masses containted in the particles. This quantity is obtained from the cooling tables and, if the particl... : U_M  [ g ]
  NetCoolingRates_Gas: off  # (1D - 4 bytes / dim) Net cooling rate of the particle, i.e. energy per unit mass per unit time. Positive values indicate net cooling, negative va... : U_L^2 U_t^-3  [ cm^2 s^-3 ]
  TotalElectronNumberDensities_Gas: DMantissa21  # (1D - 8 bytes / dim) Total electron number densities in the physical frame computed as the sum of the electron number densities from the elements... : U_L^-3  [ cm^-3 ]
  ComptonYParameters_Gas: off  # (1D - 8 bytes / dim) Compton y parameters in the physical frame computed based on the cooling tables. This is 0 for star-forming particles. : U_L^2  [ cm^2 ]
  MaximalTemperatures_Gas: off  # (1D - 4 bytes / dim) Maximal temperatures ever reached by the particles : U_T  [ K ]
  MaximalTemperatureScaleFactors_Gas: off  # (1D - 4 bytes / dim) Times at which the maximal temperature was reached : U_t  [ s ]
  StellarWindMomentaReceived_Gas: off  # (1D - 4 bytes / dim) Momentum received from stellar winds in physical coordinates : U_M U_L U_t^-1  [ g cm s^-1 ]
  HIIregionsEndTime_Gas: off  # (1D - 4 bytes / dim) Time until particle is in HII region : U_t  [ s ]
  HIIregionsStarIDs_Gas: off  # (1D - 8 bytes / dim) ID of star particle responsible for this HII region : [ - ] 
  LastSNIIThermalFeedbackScaleFactors_Gas: FMantissa13  # (1D - 4 bytes / dim) Times at which the particles were last hit by SNII thermal feedback. -1 if a particle has never been hit by feedback : U_t  [ s ]
  LastSNIaThermalFeedbackScaleFactors_Gas: off  # (1D - 4 bytes / dim) Times at which the particles were last hit by SNIa thermal feedback. -1 if a particle has never been hit by feedback : U_t  [ s ]
  LastKineticEarlyFeedbackScaleFactors_Gas: off  # (1D - 4 bytes / dim) Times at which the particles were last hit by kinetic early feedback. -1 if a particle has never been hit by feedback : U_t  [ s ]
  LastAGNFeedbackScaleFactors_Gas: FMantissa13  # (1D - 4 bytes / dim) Times at which the particles were last hit by AGN feedback. -1 if a particle has never been hit by feedback : U_t  [ s ]
  DensitiesAtLastSupernovaEvent_Gas: off  # (1D - 4 bytes / dim) Physical density (not subgrid) of the gas at the last SNII thermal feedback event that hit the particles. -1 if the particle... : U_M U_L^-3  [ g cm^-3 ]
  EnergiesReceivedFromAGNFeedback_Gas: off  # (1D - 4 bytes / dim) Total amount of thermal energy from AGN feedback events received by the particles. : U_M U_L^2 U_t^-2  [ g cm^2 s^-2 ]
  LastEnergiesReceivedFromAGNFeedback_Gas: off  # (1D - 4 bytes / dim) The energy the particles received the last time they were heated by AGN feedback. : U_M U_L^2 U_t^-2  [ g cm^2 s^-2 ]
  LastSNIIKineticFeedbackScaleFactors_Gas: off  # (1D - 4 bytes / dim) Times at which the particles were last hit by SNII kinetic feedback. -1 if a particle has never been hit by feedback : U_t  [ s ]
  LastSNIIKineticFeedbackvkick_Gas: off  # (1D - 4 bytes / dim) Physical kick velocity the particles were kicked with at last SNII kinetic feedback event. -1 if a particle has never been h... : U_L U_t^-1  [ cm s^-1 ]
  MaximalSNIIKineticFeedbackvkick_Gas: off  # (1D - 4 bytes / dim) Maximal physical kick velocity the particles were kicked with in SNII kinetic feedback. -1 if a particle has never been hit ... : U_L U_t^-1  [ cm s^-1 ]
  DensitiesAtLastAGNEvent_Gas: off  # (1D - 4 bytes / dim) Physical density (not subgrid) of the gas at the last AGN feedback event that hit the particles. -1 if the particles have ne... : U_M U_L^-3  [ g cm^-3 ]
  LastISMScaleFactors_Gas: FMantissa13  # (1D - 4 bytes / dim) Time at which the particle was part of the ISM for the last time, i.e. its density was larger than 100 times the mean densit... : U_t  [ s ]
  AveragedStarFormationRates_Gas: off  # (2D - 4 bytes / dim) Star formation rates of the particles averaged over the period set by the first two snapshot triggers : U_M U_t^-1  [ g s^-1 ]
  MinimalSmoothingLengths_Gas: off  # (1D - 4 bytes / dim) Maximal temperatures ever reached by the particles : a U_L  [ cm ]
  MinimalSmoothingLengthScaleFactors_Gas: off  # (1D - 4 bytes / dim) Times at which the minimal smoothing length was reached : U_t  [ s ]
  LastFOFHaloMasses_Gas: off  # (1D - 4 bytes / dim) Masses of the last FOF haloes the particles where part of. -1 if the particle has never been in a FOF group : U_M  [ g ]
  LastFOFHaloMassesScaleFactors_Gas: off  # (1D - 4 bytes / dim) Times at which the particles were last in a FOF group : U_t  [ s ]
  StarFormationRates_Gas: FMantissa9  # (1D - 4 bytes / dim) Star formation rates of the particles. : U_M U_t^-1  [ g s^-1 ]
  LastStarFormationScaleFactors_Gas: off  # (1D - 4 bytes / dim) Times at which the stars last had a non-zero star formation rate. : U_t  [ s ]
  VelocityDispersions_Gas: off  # (1D - 4 bytes / dim) Physical velocity dispersions (3D) squared, this is the velocity dispersion of the total velocity (peculiar velocity + Hubbl... : U_L^2 U_t^-2  [ cm^2 s^-2 ]
  XrayPhotonLuminosities_Gas: off  # (3D - 8 bytes / dim) Intrinsic X-ray photon luminosities in various bands. This is 0 for star-forming particles. : U_t^-1  [ s^-1 ]
  XrayLuminosities_Gas: off  # (3D - 8 bytes / dim) Intrinsic X-ray luminosities in various bands. This is 0 for star-forming particles. : U_M U_L^2 U_t^-3  [ g cm^2 s^-3 ]
  FOFGroupIDs_Gas: Nbit40 # (1D - 8 bytes / dim) FOF ID : [ - ]
  InternalEnergyViscousTimeDifferentials_Gas: off

  # Particle Type DM
  Coordinates_DM: DScale6  # (3D - 8 bytes / dim) Co-moving position of the particles : a U_L  [ cm ]
  Velocities_DM: DScale1  # (3D - 4 bytes / dim) Peculiar velocities of the particles. This is a * dx/dt where x is the co-moving position of the particles. : U_L U_t^-1  [ cm s^-1 ]
  Masses_DM: on  # (1D - 4 bytes / dim) Masses of the particles : U_M  [ g ]
  ParticleIDs_DM: Nbit40  # (1D - 8 bytes / dim) Unique ID of the particles : [ - ] 
  Softenings_DM: off  # (1D - 4 bytes / dim) Co-moving Plummer-equivalent softening lengths of the particles. : a U_L  [ cm ]
  Potentials_DM: FMantissa9  # (1D - 4 bytes / dim) Gravitational potentials of the particles : a^-1 U_L^2 U_t^-2  [ cm^2 s^-2 ]
  TimeBins_DM: off  # (1D - 1 bytes / dim) Time-bins of the particles : [ - ] 
  FOFGroupIDs_DM: Nbit40 # (1D - 8 bytes / dim) FOF ID : [ - ]

  # Particle Type Stars
  Coordinates_Stars: DScale6  # (3D - 8 bytes / dim) Co-moving position of the particles : a U_L  [ cm ]
  Velocities_Stars: DScale1  # (3D - 4 bytes / dim) Peculiar velocities of the particles. This is a * dx/dt where x is the co-moving position of the particles. : U_L U_t^-1  [ cm s^-1 ]
  Masses_Stars: on  # (1D - 4 bytes / dim) Masses of the particles at the current point in time (i.e. after stellar losses) : U_M  [ g ]
  ParticleIDs_Stars: Nbit40  # (1D - 8 bytes / dim) Unique ID of the particles : [ - ] 
  SmoothingLengths_Stars: FMantissa9  # (1D - 4 bytes / dim) Co-moving smoothing lengths (FWHM of the kernel) of the particles : a U_L  [ cm ]
  InitialMasses_Stars: FMantissa9  # (1D - 4 bytes / dim) Masses of the star particles at birth time : U_M  [ g ]
  BirthScaleFactors_Stars: FMantissa13  # (1D - 4 bytes / dim) Times at which the stars were born : U_t  [ s ]
  SNIIFeedbackEnergyFractions_Stars: FMantissa9  # (1D - 4 bytes / dim) Fractions of the canonical feedback energy that was used for the stars' SNII feedback events : [ - ] 
  BirthDensities_Stars: FMantissa9  # (1D - 4 bytes / dim) Physical densities at the time of birth of the gas particles that turned into stars (note that we store the physical density... : U_M U_L^-3  [ g cm^-3 ]
  BirthTemperatures_Stars: FMantissa9  # (1D - 4 bytes / dim) Temperatures at the time of birth of the gas particles that turned into stars : U_T  [ K ]
  HIIregions_last_rebuild_Stars: off  # (1D - 4 bytes / dim) Age of star in Myr when HII region was last rebuilt : [ - ] 
  HIIregions_mass_to_ionize_Stars: off  # (1D - 4 bytes / dim) Masses of the HII regions at the current point in time : U_M  [ g ]
  Timestep_Stars: off  # (1D - 4 bytes / dim) Current timestep of the star particle : U_t  [ s ]
  HIIregions_mass_in_kernel_Stars: off  # (1D - 4 bytes / dim) Masses in kernels at time of HII region formation : U_M  [ g ]
  TimeBins_Stars: off  # (1D - 1 bytes / dim) Time-bins of the particles : [ - ] 
  Luminosities_Stars: FMantissa9  # (9D - 4 bytes / dim) Rest-frame dust-free AB-luminosities of the star particles in the GAMA bands. These were computed using the BC03 (GALAXEV) m... : [ - ] 
  TidalTensors_Stars: off  # (6D - 4 bytes / dim) Components of co-moving the tidal tensor (Hessian matrix of the gravitational potential). Since the matrix is symmetric, onl... : a^-3 U_t^-2  [ s^-2 ]
  Potentials_Stars: FMantissa9  # (1D - 4 bytes / dim) Gravitational potentials of the particles : a^-1 U_L^2 U_t^-2  [ cm^2 s^-2 ]
  SNIaRates_Stars: DMantissa21  # (1D - 8 bytes / dim) SNIa rate averaged over the last enrichment timestep : U_t^-1  [ s^-1 ]
  Ages_Stars: FMantissa9  # (1D - 4 bytes / dim) Ages of the stars. : a^-1 U_t  [ s ]
  ProgenitorParticleIDs_Stars: Nbit40  # (1D - 8 bytes / dim) Progenitor ID of the gas particle that became this star. If this particle is the result of one (or many) splitting events, t... : [ - ] 
  SplitCounts_Stars: on  # (1D - 1 bytes / dim) Number of times the gas particle that turned into this star particle was split. Note that both particles that take part in t... : [ - ] 
  SplitTrees_Stars: on  # (1D - 8 bytes / dim) Binary tree describing splitting events. Particles that keep the original ID have a value of zero in a splitting event, wher... : [ - ] 
  ElementMassFractions_Stars: FMantissa9  # (12D - 4 bytes / dim) Fractions of the particles' masses that are in the given element : [ - ] 
  MetalMassFractions_Stars: FMantissa9  # (1D - 4 bytes / dim) Fractions of the particles' masses that are in metals : [ - ] 
  MassesFromSNIa_Stars: FMantissa9  # (1D - 4 bytes / dim) Masses of gas that have been produced by SNIa stars : U_M  [ g ]
  MetalMassFractionsFromSNIa_Stars: FMantissa9  # (1D - 4 bytes / dim) Fractions of the particles' masses that are in metals produced by SNIa stars : [ - ] 
  MassesFromAGB_Stars: FMantissa9  # (1D - 4 bytes / dim) Masses of gas that have been produced by AGN stars : U_M  [ g ]
  MetalMassFractionsFromAGB_Stars: FMantissa9  # (1D - 4 bytes / dim) Fractions of the particles' masses that are in metals produced by AGB stars : [ - ] 
  MassesFromSNII_Stars: FMantissa9  # (1D - 4 bytes / dim) Masses of gas that have been produced by SNII stars : U_M  [ g ]
  MetalMassFractionsFromSNII_Stars: FMantissa9  # (1D - 4 bytes / dim) Fractions of the particles' masses that are in metals produced by SNII stars : [ - ] 
  IronMassFractionsFromSNIa_Stars: FMantissa9  # (1D - 4 bytes / dim) Fractions of the particles' masses that are in iron produced by SNIa stars : [ - ] 
  MassesFromNSM_Stars: FMantissa9  # (1D - 4 bytes / dim) Masses of gas that have been produced by neutron star merger events : U_M  [ g ]
  MassesFromCEJSN_Stars: FMantissa9  # (1D - 4 bytes / dim) Masses of gas that have been produced by common-envelop jets SN events : U_M  [ g ]
  MassesFromCollapsar_Stars: FMantissa9  # (1D - 4 bytes / dim) Masses of gas that have been produced by collapsar events : U_M  [ g ]
  MaximalTemperatures_Stars: FMantissa9  # (1D - 4 bytes / dim) Maximal temperatures ever reached by the particles before they got converted to stars : U_T  [ K ]
  MaximalTemperatureScaleFactors_Stars: FMantissa13  # (1D - 4 bytes / dim) Times at which the maximal temperature was reached : U_t  [ s ]
  StellarWindMomentaReceived_Stars: off  # (1D - 4 bytes / dim) Momentum received by the gas particles from stellar winds before it was converted to a star in physical coordinates : U_M U_L U_t^-1  [ g cm s^-1 ]
  LastSNIIThermalFeedbackScaleFactors_Stars: FMantissa13  # (1D - 4 bytes / dim) Times at which the particles were last hit by SNII thermal feedback when they were still gas particles. -1 if a particle has... : U_t  [ s ]
  LastSNIaThermalFeedbackScaleFactors_Stars: FMantissa13 # (1D - 4 bytes / dim) Times at which the particles were last hit by SNIa thermal feedback when they were still gas particles. -1 if a particle has... : U_t  [ s ]
  LastKineticEarlyFeedbackScaleFactors_Stars: FMantissa13  # (1D - 4 bytes / dim) Times at which the particles were last hit by kinetic early feedback when they were still gas particles. -1 if a particle ha... : U_t  [ s ]
  LastAGNFeedbackScaleFactors_Stars: FMantissa13  # (1D - 4 bytes / dim) Times at which the particles were last hit by AGN feedback when they were still gas particles. -1 if a particle has never be... : U_t  [ s ]
  DensitiesAtLastSupernovaEvent_Stars: off  # (1D - 4 bytes / dim) Physical density (not subgrid) of the gas at the last SNII thermal feedback event that hit the particles when they were stil... : U_M U_L^-3  [ g cm^-3 ]
  EnergiesReceivedFromAGNFeedback_Stars: FMantissa9  # (1D - 4 bytes / dim) Total amount of thermal energy from AGN feedback events received by the particles when the particles were still gas particle... : U_M U_L^2 U_t^-2  [ g cm^2 s^-2 ]
  LastEnergiesReceivedFromAGNFeedback_Stars: off  # (1D - 4 bytes / dim) The energy the particles received the last time they were heated by AGN feedback while they were still gas particles. : U_M U_L^2 U_t^-2  [ g cm^2 s^-2 ]
  LastSNIIKineticFeedbackScaleFactors_Stars: FMantissa13  # (1D - 4 bytes / dim) Times at which the particles were last hit by SNII kinetic feedback when they were still gas particles. -1 if a particle has... : U_t  [ s ]
  LastSNIIKineticFeedbackvkick_Stars: off  # (1D - 4 bytes / dim) Physical kick velocity at last SNII kinetic feedback event when the stellar particles were kicked with when they were still ... : U_L U_t^-1  [ cm s^-1 ]
  MaximalSNIIKineticFeedbackvkick_Stars: FMantissa9  # (1D - 4 bytes / dim) Maximal physical kick velocity in SNII kinetic feedback when the stellar particles were kicked with when they were still gas... : U_L U_t^-1  [ cm s^-1 ]
  DensitiesAtLastAGNEvent_Stars: off  # (1D - 4 bytes / dim) Physical density (not subgrid) of the gas at the last AGN feedback event that hit the particles when they were still gas par... : U_M U_L^-3  [ g cm^-3 ]
  AveragedStarFormationRates_Stars: FMantissa9  # (2D - 4 bytes / dim) Star formation rates of the particles averaged over the period set by the first two snapshot triggers when the particle was ... : U_M U_t^-1  [ g s^-1 ]
  LastFOFHaloMasses_Stars: FMantissa9  # (1D - 4 bytes / dim) Masses of the last FOF haloes the particles where part of when they were still a gas particle. -1 if the particle has never ... : U_M  [ g ]
  LastFOFHaloMassesScaleFactors_Stars: FMantissa13  # (1D - 4 bytes / dim) Times at which the particles were last in a FOF group when they were still a gas particle : U_t  [ s ]
  SubgridBirthDensities_Stars: off  # (1D - 4 bytes / dim) Physical subgrid densities at the time of birth of the gas particles that turned into stars (note that we store the physical... : U_M U_L^-3  [ g cm^-3 ]
  SubgridBirthTemperatures_Stars: off  # (1D - 4 bytes / dim) Subgrid temperatures at the time of birth of the gas particles that turned into stars : U_T  [ K ]
  BirthVelocityDispersions_Stars: FMantissa9  # (1D - 4 bytes / dim) Physical velocity dispersions (3D) squared at the birth time of the gas particles that turned into stars, this is the veloci... : U_L^2 U_t^-2  [ cm^2 s^-2 ]
  FOFGroupIDs_Stars: Nbit40 # (1D - 8 bytes / dim) FOF ID : [ - ]
  
  # Particle Type BH
  Coordinates_BH: DScale6  # (3D - 8 bytes / dim) Co-moving position of the particles : a U_L  [ cm ]
  Velocities_BH: DScale1  # (3D - 4 bytes / dim) Peculiar velocities of the particles. This is a * dx/dt where x is the co-moving position of the particles. : U_L U_t^-1  [ cm s^-1 ]
  DynamicalMasses_BH: on  # (1D - 4 bytes / dim) Dynamical masses of the particles : U_M  [ g ]
  ParticleIDs_BH: Nbit40  # (1D - 8 bytes / dim) Unique ID of the particles : [ - ] 
  SmoothingLengths_BH: FMantissa9  # (1D - 4 bytes / dim) Co-moving smoothing lengths (FWHM of the kernel) of the particles : a U_L  [ cm ]
  SubgridMasses_BH: FMantissa9  # (1D - 4 bytes / dim) Subgrid masses of the particles : U_M  [ g ]
  FormationScaleFactors_BH: FMantissa13  # (1D - 4 bytes / dim) Times at which the BHs were formed : U_t  [ s ]
  GasDensities_BH: FMantissa9  # (1D - 4 bytes / dim) Co-moving densities of the gas around the particles : U_M U_L^-3  [ g cm^-3 ]
  GasSoundSpeeds_BH: FMantissa9# (1D - 4 bytes / dim) Co-moving sound-speeds of the gas around the particles : a^-1 U_L U_t^-1  [ cm s^-1 ]
  EnergyReservoirs_BH: FMantissa9  # (1D - 4 bytes / dim) Physcial energy contained in the feedback reservoir of the particles : U_M U_L^2 U_t^-2  [ g cm^2 s^-2 ]
  AccretionRates_BH: FMantissa9  # (1D - 4 bytes / dim) Physical instantaneous accretion rates of the particles : U_M U_t^-1  [ g s^-1 ]
  TotalAccretedMasses_BH: FMantissa9  # (1D - 4 bytes / dim) Total mass accreted onto the main progenitor of the black holes since birth. This does not include any mass accreted onto an... : U_M  [ g ]
  CumulativeNumberOfSeeds_BH: on  # (1D - 4 bytes / dim) Total number of BH seeds that have merged into this black hole : [ - ] 
  NumberOfMergers_BH: on  # (1D - 4 bytes / dim) Number of mergers the black holes went through. This does not include the number of mergers accumulated by any merged black ... : [ - ] 
  LastHighEddingtonFractionScaleFactors_BH: FMantissa13  # (1D - 4 bytes / dim) Times at which the black holes last reached a large Eddington ratio. -1 if never reached. : U_t  [ s ]
  LastMinorMergerScaleFactors_BH: FMantissa13  # (1D - 4 bytes / dim) Times at which the black holes last had a minor merger. : U_t  [ s ]
  LastMajorMergerScaleFactors_BH: FMantissa13  # (1D - 4 bytes / dim) Times at which the black holes last had a major merger. : U_t  [ s ]
  SwallowedAngularMomenta_BH: FMantissa9  # (3D - 4 bytes / dim) Physical angular momenta that the black holes have accumulated by swallowing gas particles. : U_M U_L^2 U_t^-1  [ g cm^2 s^-1 ]
  GasRelativeVelocities_BH: FMantissa9  # (3D - 4 bytes / dim) Peculiar relative velocities of the gas particles around the black holes. This is a * dx/dt where x is the co-moving positio... : U_L U_t^-1  [ cm s^-1 ]
  GasCircularVelocities_BH: FMantissa9  # (3D - 4 bytes / dim) Circular velocities of the gas around the black hole at the smoothing radius. This is j / h_BH, where j is the smoothed, pec... : U_L U_t^-1  [ cm s^-1 ]
  TimeBins_BH: off  # (1D - 1 bytes / dim) Time-bins of the particles : [ - ] 
  NumberOfSwallows_BH: off  # (1D - 4 bytes / dim) Number of gas particles the black holes have swallowed. This includes the particles swallowed by any of the black holes that... : [ - ] 
  NumberOfDirectSwallows_BH: off  # (1D - 4 bytes / dim) Number of gas particles the black holes have swallowed. This does not include any particles swallowed by any of the black ho... : [ - ] 
  NumberOfRepositions_BH: on  # (1D - 4 bytes / dim) Number of repositioning events the black holes went through. This does not include the number of reposition events accumulat... : [ - ] 
  NumberOfRepositionAttempts_BH: off  # (1D - 4 bytes / dim) Number of time steps in which the black holes had an eligible particle to reposition to. They may or may not have ended up m... : [ - ] 
  NumberOfTimeSteps_BH: on  # (1D - 4 bytes / dim) Total number of time steps at which the black holes were active. : [ - ] 
  ViscosityFactors_BH: off  # (1D - 4 bytes / dim) Multiplicative factors by which the Bondi-Hoyle-Lyttleton accretion rates have been suppressed by the Rosas-Guevara et al. (... : [ - ] 
  GasVelocityDispersions_BH: FMantissa9  # (1D - 4 bytes / dim) Velocity dispersion (3D) of the gas particles around the black holes. This is a * sqrt(<|dx/dt|^2> - <|dx/dt|>^2) where x is... : U_L U_t^-1  [ cm s^-1 ]
  GasCurlVelocities_BH: FMantissa9  # (3D - 4 bytes / dim) Velocity curl (3D) of the gas particles around the black holes. : U_L U_t^-1  [ cm s^-1 ]
  AccretedAngularMomenta_BH: FMantissa9  # (3D - 4 bytes / dim) Physical angular momenta that the black holes have accumulated through subgrid accretion. : U_M U_L^2 U_t^-1  [ g cm^2 s^-1 ]
  NumberOfGasNeighbours_BH: on  # (1D - 4 bytes / dim) Integer number of gas neighbour particles within the black hole kernels. : [ - ] 
  NumberOfHeatingEvents_BH: on  # (1D - 4 bytes / dim) Integer number of (thermal) energy injections the black hole has had so far. This counts each heated gas particle separately... : [ - ] 
  NumberOfAGNEvents_BH: on  # (1D - 4 bytes / dim) Integer number of AGN events the black hole has had so far (the number of time steps in which the BH did AGN feedback). : [ - ] 
  LastAGNFeedbackScaleFactors_BH: FMantissa13  # (1D - 4 bytes / dim) Times at which the black holes last had an AGN event. : U_t  [ s ]
  AccretionLimitedTimeSteps_BH: on  # (1D - 4 bytes / dim) Accretion-limited time steps of black holes. The actual time step of the particles may differ due to the minimum allowed val... : U_t  [ s ]
  AGNTotalInjectedEnergies_BH: FMantissa9  # (1D - 4 bytes / dim) Total (cumulative) physical energies injected into gas particles in AGN feedback. : U_M U_L^2 U_t^-2  [ g cm^2 s^-2 ]
  Potentials_BH: FMantissa9  # (1D - 4 bytes / dim) Gravitational potentials of the particles : a^-1 U_L^2 U_t^-2  [ cm^2 s^-2 ]
  LastRepositionVelocities_BH: FMantissa9  # (1D - 4 bytes / dim) Physical speeds at which the black holes repositioned most recently. This is 0 for black holes that have never repositioned,... : U_L U_t^-1  [ cm s^-1 ]
  AccretionBoostFactors_BH: FMantissa9  # (1D - 4 bytes / dim) Multiplicative factors by which the Bondi-Hoyle-Lyttleton accretion rates have been increased by the density-dependent Booth... : [ - ] 
  GasTemperatures_BH: FMantissa9  # (1D - 4 bytes / dim) Temperature of the gas surrounding the black holes. : U_T  [ K ]
  EddingtonFractions_BH: FMantissa9  # (1D - 4 bytes / dim) Accretion rates of black holes in units of their Eddington rates. This is based on the unlimited accretion rates, so these f... : [ - ] 
  GWMassLosses_BH: FMantissa9  # (1D - 4 bytes / dim) Cumulative masses lost to GW via BH-BH mergers over the history of the black holes. This includes the mass loss from all the... : U_M  [ g ]
  ProgenitorParticleIDs_BH: Nbit40  # (1D - 8 bytes / dim) Progenitor ID of the gas particle that became the seed BH. If this particle is the result of one (or many) splitting events,... : [ - ] 
  SplitCounts_BH: on  # (1D - 1 bytes / dim) Number of times the gas particle that became this BH seed was split. Note that both particles that take part in the splittin... : [ - ] 
  SplitTrees_BH: on  # (1D - 8 bytes / dim) Binary tree describing splitting events prior to BH seeding. Particles that keep the original ID have a value of zero in a s... : [ - ] 
  ElementMasses_BH: FMantissa9  # (12D - 4 bytes / dim) Mass contents of the BH particles in a given element : U_M  [ g ]
  MetalMasses_BH: FMantissa9  # (12D - 4 bytes / dim) Mass contents of the BH particles in a metals : U_M  [ g ]
  MassesFromSNIa_BH: FMantissa9  # (1D - 4 bytes / dim) Masses of the BH particles that have been produced by SNIa stars : U_M  [ g ]
  MassesFromSNII_BH: FMantissa9  # (1D - 4 bytes / dim) Masses of the BH particles that have been produced by SNII stars : U_M  [ g ]
  MassesFromAGB_BH: FMantissa9  # (1D - 4 bytes / dim) Masses of the BH particles that have been produced by AGB stars : U_M  [ g ]
  MetalMassesFromSNIa_BH: FMantissa9  # (1D - 4 bytes / dim) Masses of the BH particles in metals that have been produced by SNIa stars : U_M  [ g ]
  MetalMassesFromSNII_BH: FMantissa9  # (1D - 4 bytes / dim) Masses of the BH particles in metals that have been produced by SNII stars : U_M  [ g ]
  MetalMassesFromAGB_BH: FMantissa9  # (1D - 4 bytes / dim) Masses of the BH particles in metals that have been produced by AGB stars : U_M  [ g ]
  IronMassesFromSNIa_BH: FMantissa9  # (1D - 4 bytes / dim) Masses of the BH particles in iron that have been produced by SNIa stars : U_M  [ g ]
  MassesFromNSM_BH: FMantissa9  # (1D - 4 bytes / dim) Masses of the BH particles in europium that have been produced by neutron star merger events : U_M  [ g ]
  MassesFromCEJSN_BH: FMantissa9  # (1D - 4 bytes / dim) Masses of the BH particles in europium that have been produced by common-envelop jets SN events : U_M  [ g ]
  MassesFromCollapsar_BH: FMantissa9  # (1D - 4 bytes / dim) Masses of the BH particles in europium that have been produced by collapsar events : U_M  [ g ]
  ElementMassesDiffuse_BH: FMantissa9  # (12D - 4 bytes / dim) Masses of the BH that are in the given element and were in the gas phase when accreted : U_M  [ g ]
  IronMassesFromSNIaDiffuse_BH: FMantissa9  # (1D - 4 bytes / dim) Masses of the BH particles in iron that have been produced by SNIa stars and were in the gas phase when accreted : U_M  [ g ]
  AveragedAccretionRates_BH: FMantissa9  # (2D - 4 bytes / dim) Accretion rates of the black holes averaged over the period set by the first two snapshot triggers : U_M U_t^-1  [ g s^-1 ]
  MinimalTimeBins_BH: on  # (1D - 1 bytes / dim) Minimal Time Bins reached by the black holes : [ - ] 
  MinimalTimeBinScaleFactors_BH: FMantissa13  # (1D - 4 bytes / dim) Times at which the minimal time-bin was reached : U_t  [ s ]
  DustMasses_BH: FMantissa9  # (6D - 4 bytes / dim) Mass contents of the BH particles in a given dust grain species : U_M  [ g ]
  FOFGroupIDs_BH: Nbit40 # (1D - 8 bytes / dim) FOF ID : [ - ]

